org.apache.olingo.commons.api.edm.annotation

## Enum EdmExpression.EdmExpressionType

- java.lang.Object
- - java.lang.Enum<EdmExpression.EdmExpressionType>
  - - org.apache.olingo.commons.api.edm.annotation.EdmExpression.EdmExpressionType

- All Implemented Interfaces:
    Serializable, Comparable<EdmExpression.EdmExpressionType>
  Enclosing interface:
    EdmExpression

      public static enum EdmExpression.EdmExpressionType
      extends Enum<EdmExpression.EdmExpressionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `And`
    `AnnotationPath`
    `Apply`
    `Binary`
    `Bool`
    `Cast`
    `Collection`
    `Date`
    `DateTimeOffset`
    `Decimal`
    `Duration`
    `EnumMember`
    `Eq`
    `Float`
    `Ge`
    `Gt`
    `Guid`
    `If`
    `Int`
    `IsOf`
    `LabeledElement`
    `LabeledElementReference`
    `Le`
    `Lt`
    `NavigationPropertyPath`
    `Ne`
    `Not`
    `Null`
    `Or`
    `Path`
    `PropertyPath`
    `Record`
    `String`
    `TimeOfDay`
    `UrlRef`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmExpression.EdmExpressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmExpression.EdmExpressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Binary

          public static final EdmExpression.EdmExpressionType Binary

    - #### Bool

          public static final EdmExpression.EdmExpressionType Bool

    - #### Date

          public static final EdmExpression.EdmExpressionType Date

    - #### DateTimeOffset

          public static final EdmExpression.EdmExpressionType DateTimeOffset

    - #### Decimal

          public static final EdmExpression.EdmExpressionType Decimal

    - #### Duration

          public static final EdmExpression.EdmExpressionType Duration

    - #### EnumMember

          public static final EdmExpression.EdmExpressionType EnumMember

    - #### Float

          public static final EdmExpression.EdmExpressionType Float

    - #### Guid

          public static final EdmExpression.EdmExpressionType Guid

    - #### Int

          public static final EdmExpression.EdmExpressionType Int

    - #### String

          public static final EdmExpression.EdmExpressionType String

    - #### TimeOfDay

          public static final EdmExpression.EdmExpressionType TimeOfDay

    - #### And

          public static final EdmExpression.EdmExpressionType And

    - #### Or

          public static final EdmExpression.EdmExpressionType Or

    - #### Not

          public static final EdmExpression.EdmExpressionType Not

    - #### Eq

          public static final EdmExpression.EdmExpressionType Eq

    - #### Ne

          public static final EdmExpression.EdmExpressionType Ne

    - #### Gt

          public static final EdmExpression.EdmExpressionType Gt

    - #### Ge

          public static final EdmExpression.EdmExpressionType Ge

    - #### Lt

          public static final EdmExpression.EdmExpressionType Lt

    - #### Le

          public static final EdmExpression.EdmExpressionType Le

    - #### AnnotationPath

          public static final EdmExpression.EdmExpressionType AnnotationPath

    - #### Apply

          public static final EdmExpression.EdmExpressionType Apply

    - #### Cast

          public static final EdmExpression.EdmExpressionType Cast

    - #### Collection

          public static final EdmExpression.EdmExpressionType Collection

    - #### If

          public static final EdmExpression.EdmExpressionType If

    - #### IsOf

          public static final EdmExpression.EdmExpressionType IsOf

    - #### LabeledElement

          public static final EdmExpression.EdmExpressionType LabeledElement

    - #### LabeledElementReference

          public static final EdmExpression.EdmExpressionType LabeledElementReference

    - #### Null

          public static final EdmExpression.EdmExpressionType Null

    - #### NavigationPropertyPath

          public static final EdmExpression.EdmExpressionType NavigationPropertyPath

    - #### Path

          public static final EdmExpression.EdmExpressionType Path

    - #### PropertyPath

          public static final EdmExpression.EdmExpressionType PropertyPath

    - #### Record

          public static final EdmExpression.EdmExpressionType Record

    - #### UrlRef

          public static final EdmExpression.EdmExpressionType UrlRef

  - ### Method Detail

    - #### values

          public static EdmExpression.EdmExpressionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmExpression.EdmExpressionType c : EdmExpression.EdmExpressionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmExpression.EdmExpressionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.